#
# spec file for package python-os-api-ref
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname os-api-ref
Name:           python-os-api-ref
Version:        1.5.0
Release:        lp150.2.1
Summary:        Sphinx Extensions to support API reference sites in OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PyYAML >= 3.10
BuildRequires:  python-Sphinx
BuildRequires:  python-beautifulsoup4 >= 4.6.0
BuildRequires:  python-docutils >= 0.11
BuildRequires:  python-openstackdocstheme >= 1.18.1
BuildRequires:  python-oslosphinx >= 4.7.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-python-subunit >= 1.0.0
BuildRequires:  python-sphinx-testing >= 0.7.2
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testtools >= 2.2.0
Requires:       python-PyYAML >= 3.10
Requires:       python-Sphinx
Requires:       python-docutils >= 0.11
Requires:       python-openstackdocstheme >= 1.18.1
Requires:       python-pbr >= 2.0.0
BuildArch:      noarch

%description
This project is a collection of sphinx stanzas that assist in building an API
Reference site for an OpenStack project in RST. RST is great for
unstructured English, but displaying semi structured (and repetitive) data
in tables is not it's strength. This provides tooling to insert semi-structured
data describing request and response parameters, and turn those into nice
tables.
The project also includes a set of styling (and javascript) that is expected
to layer on top of an openstackdocstheme theme base. This provides a nice set
of collapsing sections for REST methods and javascript controls to
expand / collapse all sections.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%{py2_build}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/os_api_ref
%{python2_sitelib}/*.egg-info

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 1.5.0 (bsc#1078607)
  - doc: Remove deprecated call to sphinx.util.compat
  - Clear description for max_version field
  - Add 'uuid' type
  - Fix wrong links
  - Remove unconstraint package installation
  - Update and replace http with https for doc links
  - Fix Zuul jobs
  - Updated from global requirements
* Tue Aug 22 2017 cloud-devel@suse.de
- update to version 1.4.0
  - Update hacking
  - Removes unnecessary utf-8 encoding
  - Updated from global requirements
  - Import httplib from six to support Python 3
  - Fix for sphinx 1.6.2
  - Enable warnings as errors
  - [Fix gate]Update test requirement
  - add file on releasing the software
  - Replaces yaml.load() with yaml.safe_load()
  - Delete support py33
  - Update tests for more recent sphinx
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 1.2.0:
  - Removes unnecessary utf-8 encoding
  - Add test for missing path params
  - Use beautifulsoup4 instead of bs4 in test-requirements.txt
  - Add compatibility with docutils 0.13
  - microversion selector - dropdown
  - Updated from global requirements
  - Add Constraints support
  - Adds an example http-status.yaml file and updates doc
  - Show team and repo badges on README
  - Fix anchor link setting url bar
  - Update homepage with developer documentation page
  - Adds more info to the README to instruct authors
  - remove padding-top for endpoint-container
  - Sync with global-requirements
  - detail/close button, bug #1618955
  - Add color for COPY label
  - Expand width of API Site
* Wed Sep  7 2016 tbechtold@suse.com
- Initial packaging (version 1.0.0)
